OpenShot Audio Library | OpenShotAudio: juce::dsp::Reverb Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::dsp::Reverb Class Reference

`#include <juce_Reverb.h>`

## Public Types
using | Parameters = juce::Reverb::Parameters

## Public Member Functions
| Reverb ()=default
const Parameters & | getParameters () const noexcept
void | setParameters (const Parameters &newParams)
bool | isEnabled () const noexcept
void | setEnabled (bool newValue) noexcept
void | prepare (const juce::dsp::ProcessSpec &spec)
void | reset () noexcept
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept

## Detailed Description

Processor wrapper around juce::Reverb for easy integration into ProcessorChain.

Definition at line 37 of file juce_dsp/processors/juce_Reverb.h.

## Member Typedef Documentation

## ◆ Parameters

using juce::dsp::Reverb::Parameters = juce::Reverb::Parameters

Definition at line 45 of file juce_dsp/processors/juce_Reverb.h.

## Constructor & Destructor Documentation

## ◆ Reverb()

juce::dsp::Reverb::Reverb | ( |  | ) |
| default

Creates an uninitialised Reverb processor. Call prepare() before first use.

## Member Function Documentation

## ◆ getParameters()

const Parameters & juce::dsp::Reverb::getParameters | ( |  | ) | const
| inlinenoexcept

Returns the reverb's current parameters.

Definition at line 48 of file juce_dsp/processors/juce_Reverb.h.

## ◆ isEnabled()

bool juce::dsp::Reverb::isEnabled | ( |  | ) | const
| inlinenoexcept

Returns true if the reverb is enabled.

Definition at line 57 of file juce_dsp/processors/juce_Reverb.h.

## ◆ prepare()

void juce::dsp::Reverb::prepare | ( | const juce::dsp::ProcessSpec & | spec | ) |
| inline

Initialises the reverb.

Definition at line 64 of file juce_dsp/processors/juce_Reverb.h.

## ◆ process()

template<typename ProcessContext >

void juce::dsp::Reverb::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Applies the reverb to a mono or stereo buffer.

Definition at line 78 of file juce_dsp/processors/juce_Reverb.h.

## ◆ reset()

void juce::dsp::Reverb::reset | ( |  | ) |
| inlinenoexcept

Resets the reverb's internal state.

Definition at line 70 of file juce_dsp/processors/juce_Reverb.h.

## ◆ setEnabled()

void juce::dsp::Reverb::setEnabled | ( | bool | newValue | ) |
| inlinenoexcept

Enables/disables the reverb.

Definition at line 60 of file juce_dsp/processors/juce_Reverb.h.

## ◆ setParameters()

void juce::dsp::Reverb::setParameters | ( | const Parameters & | newParams | ) |
| inline

Applies a new set of parameters to the reverb. Note that this doesn't attempt to lock the reverb, so if you call this in parallel with the process method, you may get artifacts.

Definition at line 54 of file juce_dsp/processors/juce_Reverb.h.

The documentation for this class was generated from the following file:

- juce_dsp/processors/juce_Reverb.h